package com.jojubanking.boot.module.system.service.label;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.label.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.label.LabelDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 信息 Service 接口
 *
 * @author admin
 */
public interface LabelService {

    /**
     * 创建信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createLabel(@Valid LabelCreateReqVO createReqVO);

    /**
     * 更新信息
     *
     * @param updateReqVO 更新信息
     */
    void updateLabel(@Valid LabelUpdateReqVO updateReqVO);

    /**
     * 删除信息
     *
     * @param id 编号
     */
    void deleteLabel(Integer id);

    /**
     * 获得信息
     *
     * @param id 编号
     * @return 信息
     */
    LabelDO getLabel(Integer id);

    /**
     * 获得信息列表
     *
     * @param ids 编号
     * @return 信息列表
     */
    List<LabelDO> getLabelList(Collection<Integer> ids);

    /**
     * 获得信息分页
     *
     * @param pageReqVO 分页查询
     * @return 信息分页
     */
    PageResult<LabelDO> getLabelPage(LabelPageReqVO pageReqVO);

    /**
     * 获得信息列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 信息列表
     */
    List<LabelDO> getLabelList(LabelExportReqVO exportReqVO);

}
